View Issue Details

IDProjectCategoryView StatusLast Update
1758RASiPGeneralPublicJun 4th 2024 4:58 PM
ReporterNBug Reporter Assigned To 
Priority NormalSeverityCrashReproducibilityHave Not Tried
Status NewResolutionOpen 
ProjectionNoneETANone 
PlatformWin32NTOSMicrosoft Windows NT 6.2.9200.0OS Version6.2.9200.0
Summary1758: Object reference not set to an instance of an object. @ Void SetCurveValue(_CurveSetAndIndex, Int32, Single) @ HdsConnection.frmMain
DescriptionPH, I'm using a modified-versin of RASiP

<SerializableException xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsd="http://www.w3.org/2001/XMLSchema">
  <ExtendedInformation>
    <HResult>-2147467261</HResult>
  </ExtendedInformation>
  <InnerExceptions />
  <Message>Object reference not set to an instance of an object.</Message>
  <Source>Hunter-RAS</Source>
  <StackTrace>   at HdsConnection.frmMain.SetCurveValue(_CurveSetAndIndex nValueInfo, Int32 depth, Single dValue)
   at HdsConnection.Disc_Options.CheckAllDiscriminators(_CalcOrGraph nCalcOrChart, Int32 nDepthIndex)
   at HdsConnection.ChartHandlerCO.UpdateChart()
   at HdsConnection.frmMain.UpdateChart()
   at HdsConnection.ChartOptions_CO.Apply()
   at HdsConnection.frmMain.UpdateAll(nTabsInControl nTab)
   at HdsConnection.frmMain.PictureBox1_Click(Object sender, EventArgs e)
   at System.Windows.Forms.Control.OnClick(EventArgs e)
   at System.Windows.Forms.Control.WmMouseUp(Message& m, MouseButtons button, Int32 clicks)
   at System.Windows.Forms.Control.WndProc(Message& m)
   at System.Windows.Forms.Control.ControlNativeWindow.OnMessage(Message& m)
   at System.Windows.Forms.Control.ControlNativeWindow.WndProc(Message& m)
   at System.Windows.Forms.NativeWindow.Callback(IntPtr hWnd, Int32 msg, IntPtr wparam, IntPtr lparam)</StackTrace>
  <TargetSite>Void SetCurveValue(_CurveSetAndIndex, Int32, Single) @ HdsConnection.frmMain</TargetSite>
  <Type>System.NullReferenceException</Type>
</SerializableException>
Additional Information
<Report xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsd="http://www.w3.org/2001/XMLSchema">
  <GeneralInfo>
    <CLRVersion>4.0.30319.42000</CLRVersion>
    <DateTime>6/4/2024 9:56:26 PM</DateTime>
    <ExceptionMessage>Object reference not set to an instance of an object.</ExceptionMessage>
    <ExceptionType>System.NullReferenceException</ExceptionType>
    <HostApplication>Hunter-RAS.exe</HostApplication>
    <HostApplicationVersion>2.2.9.2</HostApplicationVersion>
    <NBugVersion>1.2.1.0</NBugVersion>
    <TargetSite>Void SetCurveValue(_CurveSetAndIndex, Int32, Single) @ HdsConnection.frmMain</TargetSite>
    <UserDescription>PH, I'm using a modified-versin of RASiP</UserDescription>
  </GeneralInfo>
</Report>
TagsBug, Crash, NBug
Attached Files
Exception_133620118901359687.zip (23,684,732 bytes)

Zip Contents

  • Exception.xml (1,500 bytes)   
    <?xml version="1.0"?>
    <SerializableException xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsd="http://www.w3.org/2001/XMLSchema">
      <ExtendedInformation>
        <HResult>-2147467261</HResult>
      </ExtendedInformation>
      <Message>Object reference not set to an instance of an object.</Message>
      <Source>Hunter-RAS</Source>
      <StackTrace>   at HdsConnection.frmMain.SetCurveValue(_CurveSetAndIndex nValueInfo, Int32 depth, Single dValue)
       at HdsConnection.Disc_Options.CheckAllDiscriminators(_CalcOrGraph nCalcOrChart, Int32 nDepthIndex)
       at HdsConnection.ChartHandlerCO.UpdateChart()
       at HdsConnection.frmMain.UpdateChart()
       at HdsConnection.ChartOptions_CO.Apply()
       at HdsConnection.frmMain.UpdateAll(nTabsInControl nTab)
       at HdsConnection.frmMain.PictureBox2_Click(Object sender, EventArgs e)
       at System.Windows.Forms.Control.OnClick(EventArgs e)
       at System.Windows.Forms.Control.WmMouseUp(Message&amp; m, MouseButtons button, Int32 clicks)
       at System.Windows.Forms.Control.WndProc(Message&amp; m)
       at System.Windows.Forms.Control.ControlNativeWindow.OnMessage(Message&amp; m)
       at System.Windows.Forms.Control.ControlNativeWindow.WndProc(Message&amp; m)
       at System.Windows.Forms.NativeWindow.Callback(IntPtr hWnd, Int32 msg, IntPtr wparam, IntPtr lparam)</StackTrace>
      <TargetSite>Void SetCurveValue(_CurveSetAndIndex, Int32, Single) @ HdsConnection.frmMain</TargetSite>
      <Type>System.NullReferenceException</Type>
    </SerializableException>
      
  • Report.xml (719 bytes)   
    <?xml version="1.0"?>
    <Report xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsd="http://www.w3.org/2001/XMLSchema">
      <GeneralInfo>
        <CLRVersion>4.0.30319.42000</CLRVersion>
        <DateTime>6/4/2024 9:58:07 PM</DateTime>
        <ExceptionMessage>Object reference not set to an instance of an object.</ExceptionMessage>
        <ExceptionType>System.NullReferenceException</ExceptionType>
        <HostApplication>Hunter-RAS.exe</HostApplication>
        <HostApplicationVersion>2.2.9.2</HostApplicationVersion>
        <NBugVersion>1.2.1.0</NBugVersion>
        <TargetSite>Void SetCurveValue(_CurveSetAndIndex, Int32, Single) @ HdsConnection.frmMain</TargetSite>
        <UserDescription />
      </GeneralInfo>
    </Report>
      
  • MiniDump.mdmp (872,236 bytes)
  • files/HDS.Net.Info.lic (584 bytes)   
    <?xml version="1.0" encoding="utf-8"?>
    <LicenseInfo xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsd="http://www.w3.org/2001/XMLSchema">
      <Key>48ccceaf-f4cf-4786-920c-f35a5247ee6c</Key>
      <IssueDate>2024-04-25T00:00:00</IssueDate>
      <ExpireDate>2025-05-01T00:00:00</ExpireDate>
      <IssuedTo>Probe</IssuedTo>
      <Company>Probe</Company>
      <IssuedBy>Hydrocarbon Data Systems, Inc. - AS</IssuedBy>
      <Copies>4</Copies>
      <Type>Workstation</Type>
      <Package>Full</Package>
      <Demo>false</Demo>
      <Test>false</Test>
      <Verified>true</Verified>
    </LicenseInfo>
      
  • files/Logs/HDSlog.txt (9,002,983 bytes)
  • files/Data/RENEGADE_CP_WELLMAN-411_TERRY_Co_TX/RENEGADE_CP_WU_411.mdb (29,089,792 bytes)
  • files/HDS.Net.Info.lic (584 bytes)   
    <?xml version="1.0" encoding="utf-8"?>
    <LicenseInfo xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsd="http://www.w3.org/2001/XMLSchema">
      <Key>48ccceaf-f4cf-4786-920c-f35a5247ee6c</Key>
      <IssueDate>2024-04-25T00:00:00</IssueDate>
      <ExpireDate>2025-05-01T00:00:00</ExpireDate>
      <IssuedTo>Probe</IssuedTo>
      <Company>Probe</Company>
      <IssuedBy>Hydrocarbon Data Systems, Inc. - AS</IssuedBy>
      <Copies>4</Copies>
      <Type>Workstation</Type>
      <Package>Full</Package>
      <Demo>false</Demo>
      <Test>false</Test>
      <Verified>true</Verified>
    </LicenseInfo>
      
  • files/Logs/HDSlog.txt (9,002,983 bytes)
  • files/Data/RENEGADE_CP_WELLMAN-411_TERRY_Co_TX/RENEGADE_CP_WU_411.mdb (29,089,792 bytes)

Activities